/*
 *
 *    soniK digital audio editor
 *    Copyright (C) 2003-2006  Robert Walker <rob@tenfoot.org.uk>
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
#ifndef SONIK_BASICGENERATOR_PLUGIN_H
#define SONIK_BASICGENERATOR_PLUGIN_H

#include "edit.h"

namespace Sonik
{
  class BasicGeneratorPlugin : public Edit
  {
    Q_OBJECT
  public:
    BasicGeneratorPlugin(QObject* parent, const char* name, const QStringList& args);
    virtual ~BasicGeneratorPlugin();

    virtual QWidget* makeConfigPage(QWidget* parent=0);
    virtual void     applyConfigPage();

  protected slots:
    void uiGenerateSilence();
    void applyGenerateSilence(Sonik::Edit::PluginContext* context);

    void uiGenerateSimple();
    void applyGenerateSimple(Sonik::Edit::PluginContext* context);

  private:

  };

}

#endif // SONIK_BASICGENERATOR_PLUGIN_H
